# Task overview

You can manage tasks through [Tasks](/reference/tasks.md) > [Task overview](/reference/tasks/task-overview.md).

### View tasks

Tasks are shown diretly in the Task overview. Click on a task to view more information about it.

### Filter tasks

Tasks can be filtered by five different options:

* Assigned to me
* All tasks assigned to me
* Open tasks I have created
* All tasks I have created
* All tasks

### Find task

1. Click column header for Title, Status, Responsible, Deadline or Created
2. Type value to search for

{% hint style="info" %}
**Tip** To read about how to search more effectively, read here: [Search help](/reference/pim/search/search-help.md)
{% endhint %}

### Add a new task

1. Click "Create task"
2. Set Title and Description along with additional [details](/reference/tasks/task-details.md)
3. Click "Create task"

### Edit task

1. Click "Edit"-icon
2. Modify the [task details](/reference/tasks/task-details.md)
3. Click "Update task"

### Delete task

1. Click "Delete"-icon
2. Confirm deletion

### Bulk update tasks

1. Select the tasks you wish to bulk update
2. Click the icon corresponding to the property you wish to edit, responsible, status or deadline
3. Set a new value
4. Click "Set property"

### Bulk delete tasks

1. Select the tasks you wish to bulk delete
2. Click the appearing "Delete"-icon
3. Confirm deletion

### Pin a task to the sidebar

Click the "Pin"-icon of the task you wish to pin

### Swap to grid view

Click "Grid"-icon or use the keyboard shortcut ctrl+shift+g

### Swap to table view

Click "Table"-icon or use the keyboard shortcut ctrl+shift+h

### Manage columns

1. Click "Manage columns"-icon or use the keyboard shortcut ctrl+shift+c
2. Manage columns
3. Click "Update columns"


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.struct.com/reference/tasks/task-overview.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
